Summary:	Jabber Client written in PyGTK
Name:		gajim
Version:	0.15.3
%define subrel	1
Release:	%mkrel 1
Source:		http://www.gajim.org/downloads/0.15/gajim-%{version}.tar.bz2
URL:		http://www.gajim.org
Group:		Networking/Instant messaging
License:	GPLv3
Requires:       pygtk2.0-libglade 
Requires:       python-sqlite2
Requires:       gnome-python-gconf
Requires:       gnome-python-extras
Requires:       dbus-python 
Requires:       python-OpenSSL
Requires:	pyasn1
Requires:       bind-utils
# for spellchecking
Suggests:       gnome-python-gtkspell
BuildRequires:	gnome-python-extras
BuildRequires:	gtkspell-devel 
BuildRequires:	gtk2-devel 
BuildRequires:	pygtk2.0-devel
BuildRequires:  libxscrnsaver-devel
BuildRequires:  libexpat-devel
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  dbus-devel

%description
Gajim is a jabber client written in PyGTK. The goal of Gajim's developers is
to provide a full featured and easy to use xmpp client for the GTK+
users. Gajim does not require GNOME to run, eventhough it exists with it
nicely. Gajim is released under the GNU General Public License

Features:
- Tabbed chat windows
- Groupchat support (with MUC protocol)
- Emoticons, URL grabber
- Systray icon
- TLS & GPG support
- Transport Registration support
- Service Discovery including Nodes
- Multiple accounts support

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
#mv %{buildroot}%_datadir/doc/gajim installed-docs

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#mkdir -p %{buildroot}/%{_iconsdir}
#mkdir -p %{buildroot}/%{_liconsdir}
#mkdir -p %{buildroot}/%{_miconsdir}

#convert %{buildroot}/%{_datadir}/%name/data/pixmaps/gajim.png -resize 32x32 %{buildroot}/%_iconsdir/%name.png
#convert %{buildroot}/%{_datadir}/%name/data/pixmaps/gajim.png -resize 16x16 %{buildroot}/%_miconsdir/%name.png
#convert %{buildroot}/%{_datadir}/%name/data/pixmaps/gajim.png -resize 48x48 %{buildroot}/%_liconsdir/%name.png

rm -f %{buildroot}%{_libdir}/%{name}/*.la


%find_lang %{name}
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%doc ChangeLog COPYING NEWS README THANKS THANKS.artists
%{_bindir}/gajim
%{_bindir}/gajim-remote
%{_bindir}/gajim-history-manager
%{_datadir}/applications/gajim.desktop
%{_datadir}/gajim
#%{_datadir}/pixmaps/gajim.png
#%{_datadir}/pixmaps/gajim_about.png
#%{_datadir}/pixmaps/gajim.svg
#%dir %{_libdir}/gajim
#%{_libdir}/gajim/trayicon.so
%doc %{_mandir}/man1/gajim.1*
%doc %{_mandir}/man1/gajim-remote.1*
%doc %{_mandir}/man1/gajim-history-manager.1*
%{_iconsdir}/hicolor/*/apps/%{name}.*
#%{_liconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png


%changelog

* Fri Apr 05 2013 luigiwalser <luigiwalser> 0.15.3-1.1.mga2
+ Revision: 408329
- require pyasn1 for SSL cert checking
- 0.15.3
- add upstream patch to fix CVE-2012-5524
- add requires on python-OpenSSL (mga #5432)
- fix CVE-2012-2085, CVE-2012-2086, CVE-2012-2093 (from debian)

  + kharec <kharec>
    - new version 0.15
    - adapt patch0 for 0.15
    - fix docs installations

* Mon Oct 24 2011 misc <misc> 0.14.4-1.mga2
+ Revision: 157628
- upgrade to 0.14.4
- place one requires/buildRequires per line, as this ease the
  review of patchs and change for this part of the spec
- remove requires on python, incorrectly set on version, and not needed

* Mon Jun 27 2011 kharec <kharec> 0.14.3-1.mga2
+ Revision: 114351
- new version

* Sun Jun 19 2011 kharec <kharec> 0.14.2-1.mga2
+ Revision: 109754
- new version
- drop p0, applied.

* Tue May 24 2011 ahmad <ahmad> 0.14.1-2.mga1
+ Revision: 100316
- Add a patch from upstream to check for errors before incoming or outgoing events
  should fix agjim looping at launch and consuming 100%% of the CPU (mga#1409)
  http://trac.gajim.org/ticket/5991

* Sun Jan 09 2011 kharec <kharec> 0.14.1-1.mga1
+ Revision: 2020
- imported package gajim

